<!DOCTYPE html>
<html>
    <head>
      <title>Site Web</title>
      <meta charset="UTF-8">
      <meta name="author" content="Jules César">
      <meta name="description" content="J'apprends à coder un site web">
      <meta name="viewport" content="initial-scale=1.0", width="device-width">
      <link rel="stylesheet" href="css/global.css">
      <link rel="stylesheet" href="css/sandbox.css">
      <link rel="stylesheet" href="css/contact.css">
    </head>
    
    <!--Site web créé le 24/01/2023-->
    
    <body lang="fr">

        <header>
            <div class="header_logo">
                <img src="img/html-white.svg" alt="html" class="top_logo">
                <img src="img/css-white.svg" alt="css" class="top_logo">
            </div>

            <nav>
                <a href="index.html"><button class="button">Accueil</button></a>
                <a href="sandbox.html"><button class="button">Sandbox</button></a>
                <a href="sandbox-js.html"><button class="button">SandboxJS</button></a>
                <a href="contact.html"><button class="button">Contact</button></a>
            </nav>
        </header>
        <div class="central">
            <main>
        
        <h1>Bac à sable !</h1>

        <p>Ceci est mon premier paragraphe. La balise d'ouverture du paragraphe a automatiquement ajouté un "retour à la ligne", alors qu'un retour à la ligne dans l'éditeur de code est completement ignorée par le navigateur</p>

        <p>Mon deuxième paragraphe. La balise d'ouverture du paragraphe a automatiquement ajouté un "retour à la ligne", alors qu'un retour à la ligne dans l'éditeur de code est ignoré</p>

        <h2>Dimensions de la boite</h2>
        
        <div class="standard_box">
        <img class="image_content" src="img/mdn-web-docs.svg" alt="MDN Wed Documentation">
        <img class="image_content" src="img/mdn-web-docs.svg" alt="MDN Wed Documentation">
        </div>

        <h2>Modele des balises &lt;audio&gt; et &lt;video&gt;</h2>
        <section>
            <div>TEXTE</div>
            <audio controls src="audio/perception.mp3"></audio>
            <div>TEXTE</div>
            <audio controls src="audio/perception.mp3"></audio>
            <div>TEXTE</div>
            <audio controls src="audio/perception.mp3"></audio>
        </section>
    
    <h2>FLEXBOX</h2>

    <section>
                            <!--ROW-->
        <fieldset>
            <legend>flex-direction: row *</legend>
            <div class="container row">
                <span class=" item bruxelles">Bruxelles</span>
                <span class=" item madrid">Madrid</span>
                <span class=" item oslo">Oslo</span>
            </div>
        </fieldset>

                            <!--COLUMN-->

        <fieldset>
            <legend>flex-direction: column</legend>
            <div class="container column">
                <span class=" item bruxelles">Bruxelles</span>
                <span class=" item madrid">Madrid</span>
                <span class=" item oslo">Oslo</span>
            </div>
        </fieldset>

                            <!--START-->

        <fieldset>
            <legend>flex-direction: flex-start *</legend>
            <div class="container justify_start">
                <span class=" item bruxelles">Bruxelles</span>
                <span class=" item madrid">Madrid</span>
                <span class=" item oslo">Oslo</span>
            </div>
        </fieldset>

                            <!--CENTER-->

        <fieldset>
            <legend>flex-direction: center</legend>
            <div class="container justify_center">
                <span class=" item bruxelles">Bruxelles</span>
                <span class=" item madrid">Madrid</span>
                <span class=" item oslo">Oslo</span>
            </div>
        </fieldset>

                            <!--END-->

        <fieldset>
            <legend>flex-direction: flex-end</legend>
            <div class="container justify_end">
                <span class=" item bruxelles">Bruxelles</span>
                <span class=" item madrid">Madrid</span>
                <span class=" item oslo">Oslo</span>
            </div>
        </fieldset>

                            <!--BETWEEN-->

        <fieldset>
            <legend>flex-direction: space-between</legend>
            <div class="container justify_between">
                <span class=" item bruxelles">Bruxelles</span>
                <span class=" item madrid">Madrid</span>
                <span class=" item oslo">Oslo</span>
            </div>
        </fieldset>

                            <!--AROUND-->

        <fieldset>
            <legend>flex-direction: space-around</legend>
            <div class="container justify_around">
                <span class=" item bruxelles">Bruxelles</span>
                <span class=" item madrid">Madrid</span>
                <span class=" item oslo">Oslo</span>
            </div>
        </fieldset>
    </section>

                        <!-- section /!\
                                
                                ALIGN-ITEMS -->



                            <!--STRETCH-->
    <section>
        <fieldset>
            <legend>align-items: stretch</legend>
            <div class="container thicker align-stretch">
                <span class=" item bruxelles">Bruxelles</span>
                <span class=" item madrid">Madrid</span>
                <span class=" item oslo">Oslo</span>
            </div>
        </fieldset>


                            <!--START-->


        <fieldset>
            <legend>align-items: flex-start</legend>
            <div class="container thicker align-start">
                <span class=" item bruxelles">Bruxelles</span>
                <span class=" item madrid">Madrid</span>
                <span class=" item oslo">Oslo</span>
            </div>
        </fieldset>

                            <!--CENTER-->

        <fieldset>
            <legend>align-items: center</legend>
            <div class="container thicker align-center">
                <span class=" item bruxelles">Bruxelles</span>
                <span class=" item madrid">Madrid</span>
                <span class=" item oslo">Oslo</span>
            </div>
        </fieldset>

                            <!--END-->

        <fieldset>
            <legend>align-items: flex-end</legend>
            <div class="container thicker align-end">
                <span class=" item bruxelles">Bruxelles</span>
                <span class=" item madrid">Madrid</span>
                <span class=" item oslo">Oslo</span>
            </div>
        </fieldset>
    </section>
 
    

                            <!-- section /!\
                                
                                ITEMS-GROW -->

                            <!--GROW |0|-->
    <section>
        <fieldset>
            <legend>flex-grow : 0 *</legend>
            <div class="container thicker">
                <span class=" item bruxelles grow_0">Bruxelles</span>
                <span class=" item madrid grow_0">Madrid</span>
                <span class=" item oslo grow_0">Oslo</span>
            </div>
        </fieldset>


                            <!--GROW |1|-->

    
        <fieldset>
            <legend>flex-grow : 1</legend>
            <div class="container thicker">
                <span class=" item bruxelles grow_0">Bruxelles</span>
                <span class=" item madrid grow_1">Madrid</span>
                <span class=" item oslo grow_0">Oslo</span>
            </div>
        </fieldset>




                            <!--GROW |1| |2| |3|-->


        <fieldset>
            <legend>flex-grow : 1, 2, 3</legend>
            <div class="container thicker">
                <span class=" item bruxelles grow_1">Bruxelles</span>
                <span class=" item madrid grow_2">Madrid</span>
                <span class=" item oslo grow_3">Oslo</span>
            </div>
        </fieldset>
    </section>



                    <!-- section /!\
                       
                           SELF -->
                
                       <!--SELF-STRETCH-->
    <section>
        <fieldset>
            <legend>align-self: start</legend>
            <div class="container thicker">
                <span class=" item bruxelles">Bruxelles</span>
                <span class=" item madrid self_start">Madrid</span>
                <span class=" item oslo ">Oslo</span>
            </div>
        </fieldset>


                            <!--1|-->

    
        <fieldset>
            <legend>align-self: center</legend>
            <div class="container thicker">
                <span class=" item bruxelles ">Bruxelles</span>
                <span class=" item madrid self_center">Madrid</span>
                <span class=" item oslo ">Oslo</span>
            </div>
        </fieldset>




                            <!--1| |2| |3|-->


        <fieldset>
            <legend>align-self: flex-end</legend>
            <div class="container thicker">
                <span class=" item bruxelles ">Bruxelles</span>
                <span class=" item madrid self_end">Madrid</span>
                <span class=" item oslo ">Oslo</span>
            </div>
        </fieldset>
    </section>


    </main>
    <aside>
        <section><h2>Téléchargez mon CV ci-dessous</h2>
            <a href="doc/moncv.pdf" ><img class="pdf" src="img/pdf.png" target="framename" alt="pdf"></a>
        </section>
        <section>
            <h2>Contactez-moi via ce site</h2>
            <p>Utilisez le <a href="contact.html">formulaire</a> de contact</p>
        </section>
        <section>
            <h2>Pour approfondir HTML et CSS</h2>
            <p>Utilisez les ressources disponibles sur MDN Web Docs :</p>
            <a href="https://developer.mozilla.org/fr/" target="framename"><img src="img/mdn-web-docs.svg" alt="mdn"></a>
        </section>
        </aside>
    </div>
    <footer>
        <address>
            Éditeur responsable <a href="mailto:jules.cesar@gmail.com">Jules César</a>
        </address>
    </footer>
</body>

</html>
